// MainFrm.h : interface of the CMainFrame class
//
/////////////////////////////////////////////////////////////////////////////

class CTransformDlg;

class CMainFrame : public CFrameWnd
{
public:
	CMainFrame();
	DECLARE_DYNCREATE(CMainFrame)

// Attributes
public:
	C3dWnd		m_wnd3d;
	C3dScene* m_pScene;
	C3dShape* m_pCurShape;


// Operations
public:
	BOOL NewScene();
	BOOL OpenFile(const char* pszFile);
	void Status(const char* pszFormat, ...);



// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMainFrame)
	public:
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	virtual void RecalcLayout(BOOL bNotify = TRUE);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CMainFrame();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:  // control bar embedded members
	CStatusBar  m_wndStatusBar;
	CToolBar    m_wndToolBar;
	CTransformDlg* m_pTransDlg;

	void ShowTrfmDlg();
	static void CALLBACK OnCloseTrfmDlg(void* pArg);
	static C3dFrame* CALLBACK OnGetFrame(void* pArg);

// Generated message map functions
protected:
	//{{AFX_MSG(CMainFrame)
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnDestroy();
	afx_msg void OnActivateApp(BOOL bActive, HTASK hTask);
	afx_msg void OnPaletteChanged(CWnd* pFocusWnd);
	afx_msg void OnMove(int x, int y);
	afx_msg void OnFileNew();
	afx_msg void OnFileOpen();
	afx_msg void OnEditInsertShape();
	afx_msg void OnEditTransform();
	afx_msg void OnUpdateEditTransform(CCmdUI* pCmdUI);
	afx_msg void OnEditPlane();
	afx_msg void OnEditTranslatex();
	afx_msg void OnEditTranslatey();
	afx_msg void OnEditTranslatez();
	afx_msg void OnEditRotatex();
	afx_msg void OnEditRotatey();
	afx_msg void OnEditRotatez();
	afx_msg void OnEditscalex();
	afx_msg void OnEditscaley();
	afx_msg void OnEditscalez();
	afx_msg void OnEditRottran();
	afx_msg void OnEditTranrot();
	afx_msg void OnEditReset();
	afx_msg void OnEditRobjx();
	afx_msg void OnEditRobjy();
	afx_msg void OnEditRobjz();
	afx_msg void OnEditShear();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////
